openapi: 3.0.3
info:
  title: Laravel
  description: ''
  version: 1.0.0
servers:
  -
    url: 'http://arvealab.test'
paths:
  /v1/getLanguage:
    get:
      summary: ''
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                example:
                  -
                    name: Français
                    abbreviation: fr
                    flag: ''
                    alt_flag: null
                  -
                    name: English
                    abbreviation: en
                    flag: ''
                    alt_flag: null
      tags:
        - Endpoints
      security: []
  /v1/getCountries:
    get:
      summary: ''
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                example:
                  -
                    name:
                      fr: Algerie
                    flag: uploads/country/3c1f477b445b0186d5c3a650ecd8954f.jpg
                    alt_flag:
                      fr: vv
                    domain: dz
                  -
                    name:
                      fr: Tunisie
                    flag: uploads/country/e8f985b04ad119d3988e5ffe9bbe04b7.jpg
                    alt_flag:
                      fr: test
                    domain: tn
      tags:
        - Endpoints
      security: []
  /v1/getDefaultLanguageOfCountries:
    get:
      summary: ''
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: domain
          description: ''
          example: tn
          schema:
            type: string
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                example:
                  -
                    abbreviation: fr
      tags:
        - Endpoints
      security: []
  /v1/getProductsByCountry:
    get:
      summary: ''
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: domain
          description: ''
          example: tn
          schema:
            type: string
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                example:
                  -
                    name: '{"fr":"test"}'
                    price: '100.200'
                    ac: '60.500'
                    image: uploads/products/b9f05f92592e4bad49a88b9626fc7b91.jpg
                    alt: '{"fr":"zz"}'
      tags:
        - Endpoints
      security: []
tags:
  -
    name: Endpoints
    description: ''
